Bug 193543 - 'vgs' with options from 'pvs' treats arguments as PVs not VGs
'vgs' with options from 'pvs' treats arguments as PVs not VGs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-05-30 08:07 EDT by Issue Tracker
Modified: 2013-02-28 23:04 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0287
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 20:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Brief analysis of code paths and possible approaches (2.30 KB, text/plain)
2006-12-21 16:03 EST, Dave Wysochanski
no flags Details
attempt to fix (6.95 KB, patch)
2007-01-26 18:09 EST, Milan Broz
no flags Details | Diff

  None (edit)
Comment 3 Alasdair Kergon 2006-05-30 08:48:02 EDT
Using the command "vgs  --options vg_name,pv_name" is possible to show all the
VG configured in the system with the related PV.
According to the vgs man page is possible to append to the command a specific VG
name to filter the output information. If you do so (e.g. "vgs  --options
vg_name,pv_name mainvolume" where "mainvolume" is one existent volume name) the
command interpret the volume name as a physical volume name (as in pvs command).
Comment 4 Alasdair Kergon 2006-05-30 08:50:43 EDT
Yes, that needs to be fixed in all the reporting commands.
Comment 5 RHEL Product and Program Management 2006-08-18 11:46:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Dave Wysochanski 2006-12-21 16:03:26 EST
Created attachment 144217 [details]
Brief analysis of code paths and possible approaches
Comment 7 Dave Wysochanski 2006-12-21 16:05:02 EST
I spent some time looking at this and could not come up with a simple fix.  I
think it requires some thought or insight I do not yet have - do not completely
grok the lvm code yet - or requires some rework of the code.  Attached my
analysis in #6.

Note though that the issue of specifying vgs on the cmdline is really just
filtering the output, and this can be done by piping to awk, perl, etc - might
not be pretty in some larger deployments though and certainly not efficient.
Comment 8 Milan Broz 2007-01-26 18:09:28 EST
Created attachment 146730 [details]
attempt to fix

Fix need review and maybe rewrite, sent to agk.
Comment 9 Milan Broz 2007-01-29 05:27:27 EST
Comment on attachment 146730 [details]
attempt to fix

Fixed upstream by another commit
Comment 11 Alasdair Kergon 2007-01-29 18:07:55 EST
to be included in lvm2-2.02.21-1.el4 
Comment 14 Red Hat Bugzilla 2007-05-07 20:02:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html

Note You need to log in before you can comment on or make changes to this bug.